# Input File Description

## Program: turbo_davidson.x / turboTDDFPT / Quantum ESPRESSO (version: 7.2)

> ### TABLE OF CONTENTS

> > INTRODUCTION

> > &LR_INPUT

> > > prefix | outdir | wfcdir | max_seconds | restart | lr_verbosity | disk_io

> > &LR_DAV

> > > num_eign | num_init | if_random_init | num_basis_max | residue_conv_thr | precondition | single_pole | if_dft_spectrum | reference | broadening | start | finish | step | p_nbnd_occ | p_nbnd_virt | poor_of_ram | poor_of_ram2 | max_iter | no_hxc | pseudo_hermitian | ltammd | lplot_drho | d0psi_rs | lshift_d0psi

> ### INTRODUCTION

> >         Input data format: { } = optional, [ ] = it depends.

> >     All quantities whose dimensions are not explicitly specified are in
> >     RYDBERG ATOMIC UNITS

> >     BEWARE: TABS, DOS <CR><LF> CHARACTERS ARE POTENTIAL SOURCES OF TROUBLE

> >     Comment lines in namelists can be introduced by a "!", exactly as in
> >     fortran code. Comments lines in ``cards'' can be introduced by
> >     either a "!" or a "#" character in the first position of a line.

> >     Structure of the input data:
> >     ===============================================================================

> >     &LR_INPUT
> >       ...
> >     /

> >     &LR_DAV
> >       ...
> >     /

## Namelist: &LR_INPUT

This namelist is always needed !

prefix | CHARACTER
Default: | 'pwscf'

>     Sets the prefix for generated and read files. The files
>     generated by the ground state pw.x run should have this
>     same prefix.

[Back to Top]

outdir | CHARACTER
Default: | './'

>     The directory that contains the run critical files, which
>     include the files generated by ground state pw.x run.

[Back to Top]

wfcdir | CHARACTER
Default: | './'

>     The directory that contains the run critical files, which
>     include the files generated by ground state pw.x run.

[Back to Top]

max_seconds | REAL
Default: | 1.D+7, or 150 days, i.e. no time limit

>     jobs stops after max_seconds CPU time. Use this option
>     in conjunction with option restart if you need to
>     split a job too long to complete into shorter jobs that
>     fit into your batch queues.

[Back to Top]

restart | LOGICAL
Default: | .false.

>     When set to .true., turbo_davidson.x will attempt to restart
>     from a previous interrupted calculation if max_seconds
>     was specified.
>     Beware, if set to .false. turbo_davidson.x will OVERWRITE any
>     previous runs.

[Back to Top]

lr_verbosity | INTEGER
Default: | 1

>     This integer variable controls the amount of information
>     written to standard output.

[Back to Top]

disk_io | CHARACTER
Default: | 'default'

>         Fine control of disk usage. Currently only 'reduced' is
>     supported where no restart files are written, apart from
>     the 'default' mode.

[Back to Top]

## Namelist: &LR_DAV

num_eign | INTEGER
Default: | 1

>     Number of eigenstates to be calculated.

[Back to Top]

num_init | INTEGER
Default: | 2

>     Number of trial vectors. Usually it is twice as large as
>     the number of eigenstates to be calculated (see num_eign).

[Back to Top]

if_random_init | LOGICAL
Default: | .false.

>     When set to .true. trial vectors are chosen randomly, otherwise
>     they are guessed from the ground-state calculation.
>     If p_nbnd_occ * p_nbnd_virt < num_init, this term
>     is forced to be .true. The usage of random trial vectors should
>     cause only a slower convergence, and do not affect the final results.

[Back to Top]

num_basis_max | INTEGER
Default: | 20

>     Maximum number of basis vectors allowed in the subspace.
>     When this number is reached, a discharging routine is called.
>     The memory requirement of the Davidson algorithm is mainly
>     determined by this variable (an estimation of the memory
>     is reported at the beginning of the run).

[Back to Top]

residue_conv_thr | REAL
Default: | 1.0E-4

>     Threshold for the convergence. When the square of the
>     residue is smaller than this value, the convergence
>     is achieved.

[Back to Top]

precondition | LOGICAL
Default: | .true.

>     If set to .true. a precondition is used. At this moment,
>     one sees no reason why not to use the precondition.

[Back to Top]

single_pole | LOGICAL
Default: | .false.

>     A slightly better way to set the initial trial vectors,
>     but the improvement is really small. Currently this flag
>     can be used only with LDA/PBE + NC PPs. So do not use
>     it unless it is really necessary.

[Back to Top]

if_dft_spectrum | LOGICAL
Default: | .false.

>     When set to .true. the independent particle approximation
>     is used, i.e. the Hartree and exchange-correlation response
>     contributions are neglected.

[Back to Top]

reference | REAL
Default: | 0.0d0

>     Reference energy in units of Ry. This variable is used
>     to constrain the Davidson algorithm to converge the eigenstates
>     having the energy closest to the reference energy. In this way
>     one can calculate less eigenstates at once, and to perform multiple
>     calculations with different reference energies (the post-processing
>     code tddfpt_calculate_spectrum.x can be used for this purpose).

[Back to Top]

broadening | REAL
Default: | 0.005d0

>     Lorentzian broadening (Ry) to broaden the absorption spectrum.

[Back to Top]

start | REAL
Default: | 0.0d0

>     The lower limit of the energy (Ry) scale for the spectrum calculation.

[Back to Top]

finish | REAL
Default: | 1.0d0

>     The upper limit of the energy (Ry) scale for the spectrum calculation.

[Back to Top]

step | REAL
Default: | 0.001d0

>     Energy step (Ry) for the spectrum calculation.

[Back to Top]

p_nbnd_occ | INTEGER
Default: | 10

>     Number of occupied states selected from the total number
>     of occupied states computed by PWscf. This variable is
>     useful if there are too many occupied states but your
>     are interested in only some of them.
>     In priciple this variable and p_nbnd_virt affect only
>     the interpretation of the eigenstates, but do not effect
>     their energy and the final absorption spectrum.
>     Make sure that min(p_nbnd_occ,nbnd_occ)*min(p_nbnd_virt,nbnd_virt)
>     is lager than the number of initial vectors (num_init),
>     so you will not end up using random trial vectors which would
>     slow down the convergence.

[Back to Top]

p_nbnd_virt | INTEGER
Default: | 10

>     Number of empty states selected from the total number
>     of empty states computed by PWscf. This variable is
>     useful if there are too many empty states but your
>     are interested in only some of them.
>     In priciple this variable and p_nbnd_occ affect only
>     the interpretation of the eigenstates, but do not effect
>     their energy and the final absorption spectrum.
>     Make sure that min(p_nbnd_occ,nbnd_occ)*min(p_nbnd_virt,nbnd_virt)
>     is lager than the number of initial vectors (num_init),
>     so you will not end up using random trial vectors which would
>     slow down the convergence.

[Back to Top]

poor_of_ram | LOGICAL
Default: | .false.

>     Use this variable if you do not have enough RAM (only USPP),
>     i.e. set it to .true. When this variable is set to .false.,
>     you double the memory used for the USPP calculation, but you
>     increase a speed of the calculation by getting rid of
>     applying many times of s_psi and cal_bec in the
>     calculation, which takes a lot of time (sometimes more than
>     a half of the whole calculation) when the size of the
>     subspace is more than 100.

[Back to Top]

poor_of_ram2 | LOGICAL
Default: | .false.

>     Use this variable if you do not have enough RAM (NCPP and USPP),
>     i.e. set it to .true. When this variable is set to .false.,
>     you double the memory used for the calculation, but you
>     increase a speed of the calculation by storing D_ and C_
>     basis: the calculation will be speeded up a lot when
>     one is calculating many transitions at the same time.

[Back to Top]

max_iter | INTEGER
Default: | 100

>     Maximum number of Davidson iterations allowed. When the
>     number of iterations arrives this number, the calculation
>     will stop even if the convergence has not been achieved.

[Back to Top]

no_hxc | LOGICAL
Default: | .false.

>     When set to .true. the change in the internal field
>     (Hartree and exchange-correlation) is ignored in the
>     calculation, resulting in the independent electron
>     approximation.

[Back to Top]

pseudo_hermitian | LOGICAL
Default: | .true.

>     When set to .true. the pseudo-Hermitian Lanczos
>     algorithm is used. When set to .false. the
>     non-Hermitian Lanczos biorthogonalization algorithm
>     is used (which is two times slower).

[Back to Top]

ltammd | LOGICAL
Default: | .false.

>     When set to .true. the Tamm-Dancoff approximation is used
>     in constructing the Liouvillian.

[Back to Top]

lplot_drho | LOGICAL
Default: | .false.

>     When set to .true. the turbo_davidson.x code will write
>     files for each eigenstate "drho-of-eign-$i" which are
>     needed to plot the response charge-density at each resonance.
>     This implies a calculation using the pp.x post-processing
>     program with the corresponding input file which must be
>     prepared. See example "H2O-PLOTRHO".

[Back to Top]

d0psi_rs | LOGICAL
Default: | .false.

>     When set to .true. the dipole is computed in the
>     real space. When set to .false. the dipole is
>     computed in the reciprocal space by computing [H,r].
>     Note, currently the commutator does not contain
>     a contribution for hybrids [V_EXX,r]. See also
>     the variable lshift_d0psi.
>     Important: Treatment of the dipole in the real space
>     is allowed only if the system is finite.

[Back to Top]

lshift_d0psi | LOGICAL
Default: | .true.

>     This variable is used only when d0psi_rs = .true.
>     a) If a molecule is placed in the corner of the
>     supercell, there is a discontinuity problem for the
>     position operator r, which is not periodic. By setting
>     lshift_d0psi = .true. the discontinuity problem is
>     solved by shifting the position operator r such that
>     it is continuous and well defined.
>     b) If a molecule is placed in the center of the supercell,
>     there is no discontinuity problem for the position operator r,
>     and thus you can set lshift_d0psi = .false. But if you still
>     set it to .true., this will not harm, because the position
>     operator will basically remain as it is, since it is always
>     centered wrt the center of the molecule.

[Back to Top]

This file has been created by helpdoc utility on Sat Mar 18 15:45:37 CET 2023.